    class
    	EXECUTION_ENVIRONMENT

    Ancestors
    	ANY

    Descendants
    	CGI_ENVIRONMENT
    	KL_SHELL_COMMAND

    Clients
    	EV_STANDARD_DIALOG_IMP*
    	EXECUTION_ENVIRONMENT
    	KL_EXECUTION_ENVIRONMENT
    	KL_FILE_SYSTEM*
    	KL_OPERATING_SYSTEM
    	PREFERENCES_STORAGE_REGISTRY
    	PREFERENCES_STORAGE_XML
    	SHARED_JNI_ENVIRONMENT

    Suppliers
    	ARGUMENTS
    	BOOLEAN
    	C_STRING
    	EXECUTION_ENVIRONMENT
    	HASH_TABLE [G, H -> HASHABLE]
    	INTEGER_32
    	OPERATING_ENVIRONMENT
    	STRING_8
    	TYPED_POINTER [G]